std::ios_base::failure Class Reference
Diagnostics » Exceptions

`#include <ios_base.h>`

Inheritance diagram for std::ios_base::failure:
[legend]

## Public Member Functions

| failure (const char *__s, const error_code &=error_code{})
| failure (const string &__s, const error_code &) noexcept
| failure (const string &__str) throw ()
error_code | code () const noexcept
virtual const char * | what () const throw ()

## Detailed Description

These are thrown to indicate problems with io.

27.4.2.1.1 Class ios_base::failure

Definition at line 281 of file ios_base.h.

## Constructor & Destructor Documentation

## failure() [1/2]

std::ios_base::failure::failure | ( | const string & | __s,
|  | const error_code & |
| ) |  |

inline explicit noexcept

Definition at line 302 of file ios_base.h.

## failure() [2/2]

std::ios_base::failure::failure | ( | const char * | __s,
|  | const error_code & | = `error_code{}`
| ) |  |

inline explicit

Definition at line 307 of file ios_base.h.

## Member Function Documentation

## code()

error_code std::ios_base::failure::code | ( |  | ) | const

inline noexcept

Definition at line 312 of file ios_base.h.

## what()

virtual const char * std::ios_base::failure::what | ( |  | ) | const
throw | ( |
| ) |  |

virtual

Returns a C-style character string describing the general cause of the current error.

Reimplemented from std::exception.

The documentation for this class was generated from the following file:

- ios_base.h